package com.sundata.example.model;
/**
* <p>Title: 用户角色</p>
* <p>Description: 用户角色示例</p>
* <p>Copyright: Copyright (c) 2007</p>
* <p>Company: 舜德数据</p>
* @author wly
* @version 1.0
*/
import com.sundata.common.base.BasePageModel;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(title = "角色列表")
public class  ExampleSysRoleModel extends BasePageModel{
	@Schema(title = "角色代码")
	private String roleid;
	@Schema(title = "角色名称")
	private String rolename;
	@Schema(title = "备注")
	private String remark;
	@Schema(title = "创建时间")
	private String creattime ;
	@Schema(title = "角色所属机构 ")
	private String orgcode;//角色所属机构 
	@Schema(title = "角色所属机构级别")
	private String orgtype;//当前操作员/角色所属机构级别，因页面赋值顺序要求，必须在loworgtype、highorgtype之前
	@Schema(title = "最低机构级别")
	private String loworgtype;//最低机构级别
	@Schema(title = "最高机构级别")
	private String highorgtype;//最高机构级别
	@Schema(title = "操作列")
	private String operstr;
	@Schema(title = "角色所属机构名称")
	private String orgname;//角色所属机构名称 
	@Schema(title = "是否被选中，datagrid固定属性")
	private String checked;//是否被选中，datagrid固定属性
	@Schema(title = "是否展示")
	private String showflag;
	@Schema(title = "角色类型")
	private String roleType;//角色类型
	@Schema(title = "是否被选中标志")
	private String canselect;//是否被选中标志
	
	public String getCanselect() {
		return canselect;
	}
	public void setCanselect(String canselect) {
		this.canselect = canselect;
	}
	public String getRoleType() {
		return roleType;
	}
	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
	public String getShowflag() {
		return showflag;
	}
	public void setShowflag(String showflag) {
		this.showflag = showflag;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	public String getRoleid() {
		return roleid;
	}
	public void setRoleid(String roleid) {
		this.roleid = roleid;
	}
	public String getRolename() {
		return rolename;
	}
	public void setRolename(String rolename) {
		this.rolename = rolename;
	}
	public String getCreattime() {
		return creattime;
	}
	public void setCreattime(String creattime) {
		this.creattime = creattime;
	}
	
	public String getOperstr() {
		return operstr;
	}
	public void setOperstr(String operstr) {
		this.operstr = operstr;
	}
	
	public String getOrgcode() {
		return orgcode;
	}
	public void setOrgcode(String orgcode) {
		this.orgcode = orgcode;
	}
	public String getOrgname() {
		return orgname;
	}
	public void setOrgname(String orgname) {
		this.orgname = orgname;
	}
	public String getLoworgtype() {
		return loworgtype;
	}
	public void setLoworgtype(String loworgtype) {
		this.loworgtype = loworgtype;
	}
	public String getHighorgtype() {
		return highorgtype;
	}
	public void setHighorgtype(String highorgtype) {
		this.highorgtype = highorgtype;
	}
	public String getOrgtype() {
		return orgtype;
	}
	public void setOrgtype(String orgtype) {
		this.orgtype = orgtype;
	}
	public String getChecked() {
		return checked;
	}
	public void setChecked(String checked) {
		this.checked = checked;
	}
}